def kaboom(x, y):
    print(x + y)                        # Wywołanie TypeError

def serve(n=2):                         # Symulacja długo wykonującej się operacji
    for i in range(n):
        try:
            kaboom([1, 2], 'hakować')
        except TypeError:               # Przechwycenie błędu i poradzenie sobie z nim
            print('Witaj, świecie!')
        print('Wznowienie tutaj...')    # Kontynuacja bez względu na wystąpienie wyjątku

if __name__ == '__main__': serve() 

